      SUBROUTINE XSQY_CH3O2NO2(nw,wl,wc,nz,tlev,airden,j,sq,jlabel,pn)

      IMPLICIT NONE
      INCLUDE 'params'

!-----------------------------------------------------------------------------!
!     ... input                                                               !
!-----------------------------------------------------------------------------!
      real, intent(in) :: wl(kw)
      real, intent(in) :: wc(kw)
      real, intent(in) :: tlev(kz)
      real, intent(in) :: airden(kz)

      integer, intent(in) :: nz
      integer, intent(in) :: nw

      character*80, intent(in) ::  pn
      character*60, intent(out) :: jlabel(kj)
      real, intent(out) :: sq(kj,kz,kw)

!-----------------------------------------------------------------------------!
!     ... input/output                                                        !
!-----------------------------------------------------------------------------!
      integer, intent(inout) :: j

!-----------------------------------------------------------------------------!
!     ... local                                                               !
!-----------------------------------------------------------------------------!
      integer kdata
      parameter (kdata=300)
      integer i, n, ierr, iw
      real x(kdata), y(kdata)
      real yg(kw)
      real qy

!---------------------------------------------
!     ... CH3O2NO2 photolysis
!---------------------------------------------
      j = j+1
      jlabel(j) = 'CH3O2NO2 -> Products'

!---------------------------------------------
!     ... cross sections
!         Atkinson et al., J. Phys. Chem Ref
!         Data, Vol 21, 6, 1992
!---------------------------------------------
      OPEN(UNIT=kin,FILE=TRIM(pn)//'XS_CH3O2NO2.txt',
     $     STATUS='old')
      DO i = 1, 5
         READ(kin,*)
      ENDDO
      n = 26
      DO i = 1, n
         READ(kin,*) x(i), y(i)
      ENDDO
      CLOSE(kin)

      CALL addpnt(x,y,kdata,n,x(1)*(1.-deltax),0.)
      CALL addpnt(x,y,kdata,n,               0.,0.)
      CALL addpnt(x,y,kdata,n,x(n)*(1.+deltax),0.)
      CALL addpnt(x,y,kdata,n,           1.e+38,0.)
      CALL inter2(nw,wl,yg,n,x,y,ierr)
      IF (ierr .NE. 0) THEN
         WRITE(*,*) ierr, jlabel(j)
         STOP
      ENDIF

!---------------------------------------------
!     ... combine
!---------------------------------------------
      qy = 1.

      DO iw = 1, nw - 1
         DO i = 1, nz
            sq(j,i,iw) = yg(iw) * qy * 1.e-20
         ENDDO
      ENDDO

      end subroutine XSQY_CH3O2NO2
